@import url('https://fonts.googleapis.com/css2?family=Lato&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Lato','sans-serif';

}

.logo-nav a {
    font-size: 1.5em;
    text-decoration: none;
    font-weight: 900;
    color: #000000;
    display: inline-block;
}

#menu{
    display: none;
}

#cerrar {
    display: none;
}

.btn-responsive{
    background-color: transparent;
    color: #000;
    border: none;
    font-size: 2rem;
}


html {
    scroll-behavior: smooth;
}

header {
    background-color: transparent;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: .5em 10%;
}

.nav-bar{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    padding: 19px;
}

.nav-bar ul li{
    display: inline-block;
    padding: 10px;
    margin: 0 10px;
}

.nav-bar ul li a {
    text-decoration: none;
    color: #000000;
    font-size: 1.1em;
    font-weight: 600;
    transition: color ease .2s;
}

.nav-bar ul li a:hover{
    color: #00B4D8;
}

.nav-bar .submenu .childs {
    display: none;
    background-color: #fff;
    position: absolute;
    margin-top: 10px;
}

.nav-bar ul li:hover .childs {
    display: flex;
    flex-direction: column;
}

.nav-bar button {
    margin: auto;
}

.contacto-nav{
    padding: 10px;
    background: linear-gradient(to right bottom, #90e0ef, #6bc6e1, #48acd4, #2592c6, #0077b6);
    color: #fff !important;
    transition: padding .2s ease !important;

}

.contacto-nav:hover{
    padding: 12px;
}


.container-present {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #eeeeee;
    padding: 2em;
    height: 50em;
}

.container-present img {
    width: 35%;
    float: right;
    margin: auto;
}


.present-contenido {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 3em;
    width: 50%;

}

.present-contenido img {
    width: 43%;
    padding-bottom: 3em;
}

span {
    color: #0077B6;
    font-size: 1.1em;
    font-weight: 900;
}

.present-contenido h1 {
    font-size: 2em;
    padding-bottom: .4em;
    text-align: center;
}

.present-contenido p {
    font-size: 1.1em;
}

.btn {
    padding: .9em;
    margin-top: 1em;
    display: inline-block;
    text-decoration: none;
    color: #fff;
    font-size: 1.2em;
    background: linear-gradient(to right bottom, #90e0ef, #6bc6e1, #48acd4, #2592c6, #0077b6);
    border-radius: 3em;
    transition: all ease-in .3s;
}

.btn:hover {
    transform: scale(1.05);
    box-shadow: 2px 2px 5px rgba(0, 0, 0, .2);
}

.container-cards {
    display: flex;
    justify-content: center;
    place-items: center;
    flex-wrap: wrap;
    align-items: center;
    padding: 12% 10%;
    gap: 32px;

}

.card {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-items: center;
    background-color: #F8F9FA;
    margin: 1em;
    padding: 1em;
    height: 31em;
    width: 25em;
    text-align: center;
    border-radius: 1em;
    box-shadow: 0px 1px 10px rgba(0, 0, 0, .2);
    transition: box-shadow ease .5s;
    transition: background ease .5s;
    transition: transform ease .5s;
    cursor: pointer;
}

.card:hover {
    box-shadow: 5px 5px 20px rgba(0, 0, 0, .4);
    background: linear-gradient(to right bottom, #90e0ef, #6bc6e1, #48acd4, #2592c6, #0077b6);
    transform: translateY(-3%)
}

.card img {
    width: 20%;
    padding: 2em 0;
}

.contenido h3 {
    padding-bottom: 1em;
    font-size: 1.7em;
}

.contenido p {
    font-size: 1.2em;
}


.container-empresas {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    background-color: #eeeeee;
    height: 105vh;
}

.container-empresas img {
    float: right;
    width: 35%;
    padding: 1em;
    object-fit: contain;
}

.empresas-contenido {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 3em;
}

.empresas-contenido h2 {
    font-size: 2.5em;
    padding: .1em;
    text-align: center;
}

.empresas-contenido p {
    font-size: 1.2em;
    padding-bottom: 1em;
    text-align: center;
}


.empresas-contenido a {
    display: inline-block;
    background-color: #fff;
    padding: .5em;
    margin: .8em;
    border-left: 2px solid #00B4D8;
    box-shadow: 1px 1px 4px rgba(0, 0, 0, .2);
}


.container-individual {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 2em;
    height: 100vh;
}

.container-individual img {
    width: 50%;
}

.individual-contenido {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 2em;
}

.individual-contenido h2 {
    font-size: 2em;
    padding: .4em;
}

.individual-contenido p {
    font-size: 1.2em;
    padding-bottom: 1em;
    text-align: center;
}

.container-botones2 a {
    display: inline-block;
    background-color: #fff;
    padding: .5em;
    margin: .8em;
    border-left: 2px solid #00B4D8;
    box-shadow: 1px 1px 4px rgba(0, 0, 0, .5);
}


.container-experiencia {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 2em;
    background: linear-gradient(to right bottom, #00d9ff8a, #0dafe191, #38809d8d, #3aabdf84, #1984bd97), url(../img/img4.jpg);
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
}

.content {
    color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 4em 5em;
}

.content h2 {
    font-size: 2.6em;
    text-shadow: 2px 2px 10px rgba(0, 0, 0, 1);
}

.content h3 {
    font-size: 1.4em;
    text-shadow: 2px 2px 10px rgba(0, 0, 0, 1);
}

.slider-container {
    overflow: hidden;
    width: 100%;
    position: relative;
}
.slider {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
    width: max-content;
    animation: scroll 30s linear infinite;
    margin-bottom: 50px;
}

.slider img {
    width: 350px;
    object-fit: contain;
}

.slider a{
    margin: 0 70px;
}

@keyframes scroll {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(-50%);
    }
}

.container-logosEmpresas {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.container-logosEmpresas h2 {
    margin: 3rem;
    font-size: 2.2rem;
    font-weight: bold;
    text-align: center;
}

.logosEmpresas-logos {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}

.logosEmpresas-logos a img {
    margin: 2rem 10rem;
}

.container-zonas {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    padding: 15em 10em;
    background-color: #eeeeee;

}

.card-zonas {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #F8F9FA;
    margin: 1em 2em;
    padding: .9em;
    height: 55%;
    width: 40%;
    text-align: center;
    border-radius: 1em;
    box-shadow: 0px 1px 10px rgba(0, 0, 0, .2);
    transition: box-shadow ease .5s;
    transition: background ease .5s;
    transition: transform ease .5s;
    cursor: pointer;
}

.card-zonas:hover {
    box-shadow: 5px 5px 20px rgba(0, 0, 0, .4);
    background: linear-gradient(to right bottom, #90e0ef, #6bc6e1, #48acd4, #2592c6, #0077b6);
    transform: translateY(-3%)
}

.card-zonas img {
    width: 20%;
    padding: 2em 0;
}

.card-sucursales h2 {
    padding: .2em;
    font-size: 2.6em;
}

.card-sucursales p {
    padding: 1em;
    font-size: 1.6em;
}

.card-zonas-servicio h2 {
    padding: .2em;
    font-size: 2.6em;
}

.card-zonas-servicio p {
    padding: 1em;
    font-size: 1.6em;
}

.container-maps{
    display: flex;
    align-items: center;
    justify-content: center;
}

.container-opiniones {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 3rem;
    margin-top: 90px;

}

.container-opiniones h3 {
    font-size: 2em;
    text-align: center;
}
.btn-opi {
    margin: 2rem 0;
}

.logo-google{
    width: 200px;
}

.tarjetas-reseñas{
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 20px;
}

.tarjeta-reseña{
    width: 360px;
    height: 290px;
    padding: 20px;
    margin: 10px;
    border: 1px solid #777;
}

.tarjeta-reseña h3{
    margin-bottom: 1px;
    font-size: 1.7rem;
    text-align: left;
}

.tarjeta-reseña p{
    font-size: .9rem;
}

.estrella{
    font-size: 20px;
    color: gold;
}

.dejanos-tuopinion{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: #eee;
    padding: 60px 10px;
    margin-top: 60px;
    width: 100%;
    margin-bottom: 200px;
}

.dejanos-tuopinion h3{
    font-size: 2.2rem;
    color: #000;
}

.stars {
    font-size: 40px;
    cursor: pointer;
}

.star {
    color: gray;
    transition: color 0.3s ease;
}

.stars:hover .star {
    color: gold; 
}

.star:hover, .star:hover ~ .star {
    color: gray; 
}

.star:hover {
    color: gold; 
}

.container-contacto {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: linear-gradient(to right bottom, #00d9ff8a, #0dafe191, #179ed49a, #3aabdf84, #1984bd97), url(../img/img4.jpg);
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    padding: 3em;
    height: 70vh;
}

.container-contacto h2 {
    color: #fff;
    text-shadow: 1px 1px 10px rgba(0, 0, 0, 1);
    font-weight: 900;
    font-size: 3em;
    padding-bottom: .2em;
    text-align: center;
}

.container-contacto p {
    color: #fff;
    font-size: 1.2em;
    text-shadow: 1px 1px 10px rgba(0, 0, 0, .8);
    padding-bottom: 1em;
}

footer{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    margin-top: 80px;
}
.container-footer {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    background: transparent;
    padding: 1.9em;
    width: 80%;
    margin-bottom: 30px;
}
.footer-logo img{
    width: 230px;
}

.footer-navegacion{
    display: flex;
    flex-direction: column;
    
}


.footer-navegacion h3{
    color: #000;
    font-size: 1.5rem;
    margin-bottom: 5px;
}

.footer-navegacion a{
    color: #000;
    text-decoration: none;
    font-size: 1.7rem;
    margin: 2px 0;
}



.footer-navegacion a:hover{
    color: #00B4D8;
}

.footer-ubicacion h3 a{
    color: #000;
    font-size: 1.7rem;
    text-decoration: none;
}

.footer-ubicacion h3 a:hover{
    color: #00B4D8;
}
.footer-contacto {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 3em;
}

.contacto-info{
    display: flex;
    margin: 10px 0;
}

.contacto-info img {
    margin-right: 10px;
}

.info__contacto h4{
    font-size: 1.2rem;
    margin: 0;
}

.info__contacto p{
    font-weight: 300;
    font-size: 1rem;
}

.footer-derechos{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #eee;
    padding: 20px;

}

.footer-derechos p{
    margin-left: 5px;
}

@media screen and (max-width: 1000px){

    #menu {
        display: block;
        margin: 1em;
    }

    #cerrar {
        display: block;
        font-size: 2.3rem;
        margin-top: 20px;
        margin-left: 15px;
    }

    header{
        display: block;
        width: 100%;
    }
    .logo-nav{
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .header-logo button{
        margin-left: 200px;
    }

    .nav-bar {
        opacity: 0;
        visibility: hidden;
        flex-direction: column;
        flex-wrap: wrap;
        align-items: end;
        justify-content: start;
        position: absolute;
        top: 0;
        box-shadow: 0 0 0 100vmax rgba(0, 0, 0, .4);
        width: auto;
        right: 0px;
        background-color: #fff;
        height: 100vh;
    }

    .nav-bar.visible {
        opacity: 1;
        visibility: visible;
    }

    .nav-bar ul {
        display: block;
        margin-right: 20px;
        padding-left: 5px;

    }

    .nav-bar ul li {
        display: block;
        margin: 20px 0;
    }

    .nav-bar ul li a{
        font-size: 1em;
         
    }

    .nav-bar .submenu .childs {
        right: 100%;
        width: 120%;
    }

    .tarjetas-reseñas{
        flex-wrap: wrap;
    }
}



@media screen and (max-width: 880px) {

    .slider img {
        width: 150px;
    }

    
    .slider a{
        width: 150px;
        margin: 0 20px;
    }

    .slider{
        animation: scroll 15s linear infinite;
    }

    .container-present {
        flex-direction: column;
    }

    .container-empresas {
        flex-direction: column;
        flex-wrap: wrap;
    }

    .container-individual {
        flex-direction: column;
        flex-wrap: wrap;
    }

    .container-individual img {
        display: none;
    }

    .card-zonas {
        height: 35%;
        width: 100%;
    }

    .card-sucursales h2 {
        padding: .2em;
        font-size: 100%;
    }

    .card-sucursales p {
        padding: 1em;
        font-size: 1.2em;
    }

    .card-zonas-servicio h2 {
        padding: .2em;
        font-size: 100%;
    }

    .card-zonas-servicio p {
        padding: 1em;
        font-size: 1.2em;
    }

    .card-zonas img {
        padding: 1.3em 0;
    }

    
    .container-logosEmpresas h2 {
        font-size: 2rem;
    }

    
    .logosEmpresas-logos a img {
        margin: 2rem 6rem;
        width: 50%;
    }

    .container-zonas {
        padding: 8em 0;
    }

    .content {
        padding: 4em 3em;
    }

    .container-footer{
        flex-direction: column;
        gap: 40px;
    }

    .footer-navegacion {
        width: 70%;
    }
    .footer-ubicacion{
        width: 70%;
    }

}

@media screen and (max-width:720px) {
    header {
        flex-direction: column;
    }

    .container-experiencia {
        flex-direction: column;
    }

    .container-present {
        padding: 0;
    }

    .container-empresas img {
        display: none;
    }

    .container-empresas {
        padding: 0;
    }

    .container-individual {
        padding: 0;
    }

    .container-individual img {
        display: none;
    }

    .present-contenido {
        padding: 1px;
    }

    .container-present img {
        display: none;
    }

    .container-opiniones img {
        width: 70%;
    }

}

@media screen and (max-width:510px) {

    header {
        flex-direction: row;
        flex-wrap: wrap;
        padding: 1em;
        align-items: center;
        justify-content: center;
    }

    li a {
        padding: 1em;
    }

    .card {
        height: 31em;
    }

    .container-cards {
        padding: 30% 0;
    }

    .container-empresas {
        height: 130%;
    }

    .container-individual {
        height: 148%;
    }

    .container-zonas {
        padding: 8em 0 ;
    }

    .slider{
        animation: scroll 10s linear infinite;
    }

    
}